Qore PgsqlSqlUtil Module Reference 1.0

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Groups Pages
Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | List of all members
PgsqlSqlUtil::PgsqlTable Class Reference

provides the PostgreSQL-specific implementation of the SqlUtil::AbstractTable interface More...

Inheritance diagram for PgsqlSqlUtil::PgsqlTable:
[legend]

## Public Member Functions
string | getSchemaName ()
| returns the schema name
string | getSqlName ()
| returns the name of the table to be used in SQL (with a possible qualifiers for schema, etc)
*string | getTablespaceName ()
| returns the data tablespace name for the table or NOTHING if none is known

## Public Attributes
const | PgsqlCopMap
| column operator specializations for PostgreSQL
const | PgsqlNameMap
| maps from verbose type names to simple type names
const | PgsqlTableDescriptionHashOptions
| extends SqlUtil::AbstractTable::TableDescriptionHashOptions with `"functions"` for table functions required by triggers on the table
const | PgsqlTypeMap
| maps postgresql type names to type configurations
const | QoreTypeMap
| maps qore type names to postgresql type names

## Private Member Functions
| clearImpl ()
| clears PostgreSQL-specific table information
bool | constraintsLinkedToIndexesImpl ()
| returns True if the database links constraints to indexes (ie dropping the constraint drops the index, etc)
| copyImpl (AbstractTable old)
| db-specific copy actions
| doSelectLimitOnlyUnlockedImpl (reference sql, reference args, *hash qh)
| processes a string for use in SQL select statements when there is a "limit" argument, but no "orderby" or "offset" arguments
| doSelectOrderByWithOffsetSqlUnlockedImpl (reference sql, reference args, *hash qh, *hash jch, *hash ch)
| processes a string for use in SQL select statements when there is an "order by" and "offset" argument
hash | getColumnOperatorMap ()
| returns the column operator map for this object
*string | getSqlValueImpl (any v)
| returns a string for use in SQL queries representing the DB-specific value of the argument; returns NOTHING if the type cannot be converted to an SQL string
bool | supportsTablespacesImpl ()
| returns True if the database support tablespaces
any | tryExecArgsImpl (string sql, *softlist args)
| tries to execute a command so that if an error occurs the current transaction status is not lost
any | tryExecRawImpl (string sql, *softlist args)
| tries to execute a command so that if an error occurs the current transaction status is not lost
bool | uniqueIndexCreatesConstraintImpl ()
| returns True if the database automatically creates a unique constraint when a unique index is created (ex: mysql)

## Private Attributes
string | schema
| schema name for the table
*string | tablespace
| tablespace name for the table, if known
Functions | triggerFunctions
| contains any trigger functions supporting triggers on the table

## Detailed Description

provides the PostgreSQL-specific implementation of the SqlUtil::AbstractTable interface